Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168.taglib
Class URLParameterTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.jboss.portal.portlet.impl.jsr168.taglib.URLParameterTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class URLParameterTag

extends javax.servlet.jsp.tagext.TagSupport

The additional parameters definitions for the actionURL and renderURL tags for the JSR 168 Portlet specification.

Version:
  $Revision: 5448 $
Author:
  Sherman Wood
See Also:
  Serialized Form

Nested Class Summary
`class` | `URLParameterTag.Parameter`

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`URLParameterTag()`

Method Summary
`int` | `doEndTag()` Include the parameter in the surround tag parameters
`int` | `doStartTag()` No body to process
`java.lang.String` | `getName()` The name of the parameter to add to the URL.
`java.lang.String` | `getValue()` The value of the parameter to add to the URL.
`void` | `setName(java.lang.String name)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLParameterTag

    public URLParameterTag()

Method Detail

### getName

    public java.lang.String getName()

  The name of the parameter to add to the URL.

  If null or empty, no action is performed.

  Returns:
    Returns the name.

### setName

    public void setName(java.lang.String name)

  Parameters:
    `name` - The name to set.

### getValue

    public java.lang.String getValue()

  The value of the parameter to add to the URL.

  If null, it is processed as an empty value.

  Returns:
    Returns the value.

### setValue

    public void setValue(java.lang.String value)

  Parameters:
    `value` - The value to set.

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  No body to process

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException`
  See Also:
    `Tag.doStartTag()`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Include the parameter in the surround tag parameters

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException`
  See Also:
    `Tag.doEndTag()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD